# Sample EchoLink Proxy Configuration File

# REQUIRED ITEMS

# You must change the password to something besides "notset".
Password=notset


# OPTIONAL ITEMS

# Change Port to something else if you don't want to use the default.
#  (If you use 1023 or below on Unix/Linux systems, you will need to run
#   EchoLink Proxy as root.)
Port=8100


# ADVANCED ITEMS

# Set the ConnectionTimeout to something besides 0 if you want the proxy
#   to "pull the plug" on a client that has been using the proxy for more
#   than n minutes, regardless of whether an EchoLink connection is active.
ConnectionTimeout=0

# Set the BindAddress to something besides 0.0.0.0 if this is a computer
#  with multiple IP addresses and you want to associate this instance of
#  EchoLink Proxy with a single address only.
BindAddress=0.0.0.0

# Set the ExternalBindAddress to something besides 0.0.0.0 if this is a
#  multi-homed computer and you want to associate this instance of EchoLink
#  Proxy with a specific interface for its Internet communication.  In this
#  situation, BindAddress will be used for the communication with the client,
#  and ExternalBindAddress will be used for the communication with the Internet.
ExternalBindAddress=0.0.0.0

# Set the PublicAddress if this is a multi-homed computer and the address 
#  that appears on the Proxy Status Page is incorrect.  In this situation, 
#  the address you specify here will be the address that appears on the 
#  Proxy Status page.  This setting does not affect the behavior of the 
#  Proxy itself, only the way it is listed.
PublicAddress=

# Set RegistrationName to something unique (such as your callsign) if you
#   want EchoLink Proxy to register itself with the EchoLink Web site.
#   Enable this option only if you want the IP address of this server to
#   be listed on the Web page.  You might want to do this if the IP address
#   of your server changes from time to time and you need to find out what
#   it is.  The Comment is optional.
# Note:  If you want to "advertise" this Proxy as a Public proxy, and make
#        it available to any EchoLink user, set the Password above to PUBLIC
#        and set RegistrationName below to something unique, such as your call.
#        This will cause the proxy to be also be listed on the Proxy List page 
#        on the EchoLink Web site.  Note that each RegistrationName must be
#        different for each instance.
RegistrationName=
RegistrationComment=

# If you want to restrict access to the proxy only to certain callsigns,
#   create regular expressions for either or both of the following.  A
#   connection will be denied if it matches the CallsignsDenied pattern, or
#   if it does NOT match the CallsignsAllowed pattern (and CallsignsAllowed
#   is not empty).  These patterns apply only to EchoLink clients that use
#   this proxy, not the nodes to which they connect while using it.
#   Examples:  CallsignsAllowed=K1RFD|AK8V will allow K1RFD and AK8V to use this proxy.
#              CallsignsDenied=.*-L$|.*-R$ will deny any Sysop nodes from using it.
CallsignsDenied=
CallsignsAllowed=

